Subject: bug#33684: closed (Re: bug#33684: DocView bombs out upon password protected PDFs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Feb 2019 15:50:02 +0000

Your bug report

#33684: DocView bombs out upon password protected PDFs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33684: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33684
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33684: DocView bombs out upon password protected PDFs
From: Tassilo Horn <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], Federico Tedin <[email-masked]>
Date: Mon, 04 Feb 2019 16:49:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> > Hi Tassilo, thanks for your feedback. I've created a new patch with
>> > the commit message, and also added an entry to NEWS. I'm attaching
>> it
>> > here.
>> 
>> Looks perfect.  Small nitpick: we use * for bullet points instead of
>> - in the commit message, but I can amend that.  I can't push it from
>> work, so I'll do it this evening.
>
> When you do, please be sure to amend the log message to mention the
> bug number.
>
> Also, the doc strings of 2 of the new functions need to be reformatted
> to have the first line be a complete sentence.  (Just move the second
> sentence to the next line, I'd say.)

Pushed with the aforementioned changes.

Thanks again, Federico!
Tassilo

Subject: DocView bombs out upon password protected PDFs
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sun, 09 Dec 2018 18:52:50 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When trying to view a password protected PDF:
DocView: process pdf/ps->png changed status to exited abnormally with code 1.
Maybe it should ask for the password.
emacs-version "25.2.2"